User avatar
RDK
Posts: 261
Joined: Wed Aug 13, 2014 10:19 am
Location: Wyoming and France

Error when sudo apt-get dist-upgrade of Pi B+

Tue Apr 02, 2019 5:31 am

Yesterday I decided to update this Pi B+ currently running Jessie. I ran the
  • sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get dist-upgrade
The first two completed normally, but the last sudo apt-get dist-upgrade ended with an error

Code: Select all

Setting up bluez (5.23-2+rpi2) ...
Job for bluetooth.service failed. See 'systemctl status bluetooth.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript bluetooth, action "start" failed.
dpkg: error processing package bluez (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of pi-bluetooth:
 pi-bluetooth depends on bluez; however:
  Package bluez is not configured yet.

dpkg: error processing package pi-bluetooth (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of pulseaudio-module-bluetooth:
 pulseaudio-module-bluetooth depends on bluez (>= 4.40); however:
  Package bluez is not configured yet.

dpkg: error processing package pulseaudio-module-bluetooth (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 bluez
 pi-bluetooth
 pulseaudio-module-bluetooth
E: Sub-process /usr/bin/dpkg returned an error code (1)
What should I do now? I'm guessing that it has to do with the fact that the B+ does not have Bluetooth? Has this left this PI in a unstable state? Did the dist-upgrade completely or partially fail? ….RDK

fruitoftheloom
Posts: 20682
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Error when sudo apt-get dist-upgrade of Pi B+

Tue Apr 02, 2019 8:37 am

RDK wrote:
Tue Apr 02, 2019 5:31 am
Yesterday I decided to update this Pi B+ currently running Jessie. I ran the
  • sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get dist-upgrade
The first two completed normally, but the last sudo apt-get dist-upgrade ended with an error

Code: Select all

Setting up bluez (5.23-2+rpi2) ...
Job for bluetooth.service failed. See 'systemctl status bluetooth.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript bluetooth, action "start" failed.
dpkg: error processing package bluez (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of pi-bluetooth:
 pi-bluetooth depends on bluez; however:
  Package bluez is not configured yet.

dpkg: error processing package pi-bluetooth (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of pulseaudio-module-bluetooth:
 pulseaudio-module-bluetooth depends on bluez (>= 4.40); however:
  Package bluez is not configured yet.

dpkg: error processing package pulseaudio-module-bluetooth (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 bluez
 pi-bluetooth
 pulseaudio-module-bluetooth
E: Sub-process /usr/bin/dpkg returned an error code (1)
What should I do now? I'm guessing that it has to do with the fact that the B+ does not have Bluetooth? Has this left this PI in a unstable state? Did the dist-upgrade completely or partially fail? ….RDK

FYI Raspbian Jessie went end of life August 2017 !
Retired disgracefully.....

pcmanbob
Posts: 6905
Joined: Fri May 31, 2013 9:28 pm
Location: Mansfield UK

Re: Error when sudo apt-get dist-upgrade of Pi B+

Tue Apr 02, 2019 9:28 am

In answer to your question all it has done is left the blue tooth packages un-configured because there is no blue tooth device, it should not affect the operation of your pi.

I think you would see a similar error message if you were running raspbian stretch because it would not find a blue tooth device either.
We want information… information… information........................no information no help
The use of crystal balls & mind reading are not supported

User avatar
RDK
Posts: 261
Joined: Wed Aug 13, 2014 10:19 am
Location: Wyoming and France

Re: Error when sudo apt-get dist-upgrade of Pi B+

Tue Apr 02, 2019 4:46 pm

Yes, I just finished upgrading to Stretch via this reference (https://www.datenreise.de/en/raspberry- ... o-stretch/).

And, yes, I got basically the same errors from the
sudo apt-get dist-upgrade
and the
sudo apt-get autoremove commands
Is there a way to tell it not to look for the Bluetooth functionality?...RDK

User avatar
rpdom
Posts: 15169
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Error when sudo apt-get dist-upgrade of Pi B+

Tue Apr 02, 2019 7:12 pm

pcmanbob wrote:
Tue Apr 02, 2019 9:28 am
In answer to your question all it has done is left the blue tooth packages un-configured because there is no blue tooth device, it should not affect the operation of your pi.

I think you would see a similar error message if you were running raspbian stretch because it would not find a blue tooth device either.
The package configuration shouldn't fail due to lack of bluetooth devices. That is a bug of some sort. I suspect some package changes between Stretch and Jessie have caused this.

User avatar
RDK
Posts: 261
Joined: Wed Aug 13, 2014 10:19 am
Location: Wyoming and France

Re: Error when sudo apt-get dist-upgrade of Pi B+

Fri Apr 05, 2019 5:48 am

Note: Pi B+

Continuing the saga from my previous posts: I found a Bluetooth dongle and reran these commands:

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
The last one took forever (5+ hours), but finished with no errors.

However, now when I boot-up, I get this message:
failed to start dhcpcd on all interfaces
It does get an IP address for eth0 but not for the wifi interface. Before the upgrade from Jessie to Stretch both interfaces worked correctly. Both are supposed to get DHCP supplied addresses.

What do I need to do to get it working again?.....RDK

fruitoftheloom
Posts: 20682
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Error when sudo apt-get dist-upgrade of Pi B+

Fri Apr 05, 2019 7:18 am

RDK wrote:
Fri Apr 05, 2019 5:48 am
Note: Pi B+

Continuing the saga from my previous posts: I found a Bluetooth dongle and reran these commands:

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
The last one took forever (5+ hours), but finished with no errors.

However, now when I boot-up, I get this message:
failed to start dhcpcd on all interfaces
It does get an IP address for eth0 but not for the wifi interface. Before the upgrade from Jessie to Stretch both interfaces worked correctly. Both are supposed to get DHCP supplied addresses.

What do I need to do to get it working again?.....RDK

It clearly states in the Raspbian Stretch Blog that going from Jessie to Stretch is not recommended:

https://www.raspberrypi.org/blog/raspbian-stretch/

Just use your back up to go back to Jessie and grab another SD Card and start with a fresh install of Stretch:

https://www.raspberrypi.org/downloads/raspbian/

Going from Stretch to Buster in the summer should have less foibles..........
Retired disgracefully.....

User avatar
davidcoton
Posts: 4124
Joined: Mon Sep 01, 2014 2:37 pm
Location: Cambridge, UK

Re: Error when sudo apt-get dist-upgrade of Pi B+

Fri Apr 05, 2019 9:28 am

RDK wrote:
Fri Apr 05, 2019 5:48 am
Note: Pi B+

However, now when I boot-up, I get this message:
failed to start dhcpcd on all interfaces
It does get an IP address for eth0 but not for the wifi interface. Before the upgrade from Jessie to Stretch both interfaces worked correctly.
dist-upgrade by itself does not move from Jessie to Stretch. Did you follow the RPF published procedure and update your sources list?
[Note as stated above, upgrade from Jessie to Stretch is not guaranteed to work.]

If you have successfully upgraded, what is now in wpa-supplicant? Under Stretch you need to set your country before WiFi will work.
Signature retired

User avatar
RDK
Posts: 261
Joined: Wed Aug 13, 2014 10:19 am
Location: Wyoming and France

Re: Error when sudo apt-get dist-upgrade of Pi B+

Sat Apr 06, 2019 3:51 pm

Not sure why, but after two reboots it is now working correctly....RDK

Return to “Beginners”